package com.tanpu.community.api.beans.qo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;


@Data
public class CommentQo {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "类型")
    private Integer commentType;

    @ApiModelProperty(value = "文本内容")
    private String content;

    @ApiModelProperty(value = "作者id")
    private String authorId;

    @ApiModelProperty(value = "评论的目标id")
    private String targetId;

    @ApiModelProperty(value = "是否屏蔽")
    private Integer isBlock;

    @ApiModelProperty(value = "转发量")
    private Long forwardAomunt;

    @ApiModelProperty(value = "点赞量")
    private Long likeAmount;

    private String createBy;

    private LocalDateTime createTime;

    private String updateBy;

    private LocalDateTime updateTime;

    private Integer deleteTag;
}
